package service

import (
	"q5"
	"f5"
	"main/model"
	"main/vo"
	"main/constant"
)

type friend struct {

}

func (this *friend) init() {
}

func (this *friend) unInit() {
}

func (this *friend) List(accountId string) (error, []*vo.Friend) {
	friends := []*model.User{}
	result := f5.GetApp().GetOrmDb(constant.WHEEL_DB).Table(new(model.User).TableName()).Where(
		"invited = ?", accountId).Find(&friends)
	friendsVo := []*vo.Friend{}
	for _, u := range(friends) {
		friendVo := new(vo.Friend)
		friendVo.FromModel(u)
		q5.AppendSlice(&friendsVo, friendVo)
	}
	return result.Error, friendsVo
}
