package constant

const (
	WHEEL_DB = "wheeldb"
)

const (
	APP_MODULE_IDX = iota
	ROUTER_MGR_MODULE_IDX
	MODEL_MGR_MODULE_IDX
	SERVICE_MGR_MODULE_IDX
	SESSION_MGR_MODULE_IDX
	MAX_MODULE_IDX
)

const (
	PLAT_ID_TG = 5
)

const (
	SESSION_KEY = "session"
)

const (
	MSG_LOGIN = iota
	MSG_CREATE_USER
)

const (
	VIRTUAL_ITEM_SCORE = 20001
)

const (
	ITEM_TYPE_CHIP = 1
	ITEM_TYPE_SCORE = 2
	ITEM_TYPE_SPEC_DICE = 3
	ITEM_TYPE_SCORE_DOUBLE_CARD = 4
	ITEM_TYPE_SCORE_SMALL_GIFT_PACK = 5
	ITEM_TYPE_SCORE_BIG_GIFT_PACK = 6
	ITEM_TYPE_DICE = 7
)

const (
	SIDE_EFFECT_BUFF = "buff"
	SIDE_EFFECT_BAG = "bag"
)

const (
	BUFF_EFFECT_SCORE_CARD_X3 = 1
)

const (
	PRESENT_DICE_LIMIT = 6
	PRESENT_DICE_LOOP = 1800
)

const (
	TASK_TYPE_ONCE = 1
	TASK_TYPE_DAILY = 2
	TASK_TYPE_RANGE = 3
)

const (
	TASK_COND_FRONT = 1
	TASK_COND_BACK_GAIN = 2
	TASK_COND_BACK_USE = 3
	TASK_COND_BACK_BUY = 4
)

const (
	TASK_AWARD_SCORE = 1
)
