package mt

import (
	"f5"
	"math/rand"
	"main/mtb"
)

type Reward struct {
	mtb.Reward
}

type RewardTable struct {
	f5.IdMetaTable[Reward]
}

func (this *Reward) Init1() {
	if this.GetReward1() <= 0 {
		panic("Reward.reward_1 config error")
	}
	if this.GetReward1() > this.GetReward1(){
		panic("Reward.reward_2 config error")
	}
}

func (this *Reward) RandScore() int32 {
	return int32(int(this.GetReward1()) + rand.Intn(int(this.GetReward2() - this.GetReward1())))
}
